@Echo Off
cls

REM ---------------------------------------------------------------------
REM PARAMETER CHECK
REM ---------------------------------------------------------------------

	if "%1" == "A:" GOTO FLOPDRV
	if "%1" == "a:" GOTO FLOPDRV
	if "%1" == "B:" GOTO FLOPDRV
	if "%1" == "b:" GOTO FLOPDRV
	if "%1" == "C:" GOTO HARDDRV
	if "%1" == "c:" GOTO HARDDRV
	if "%1" == "D:" GOTO HARDDRV
	if "%1" == "d:" GOTO HARDDRV
	if "%1" == "E:" GOTO HARDDRV
	if "%1" == "e:" GOTO HARDDRV
	if "%1" == "F:" GOTO HARDDRV
	if "%1" == "f:" GOTO HARDDRV
	if "%1" == "G:" GOTO HARDDRV
	if "%1" == "g:" GOTO HARDDRV
	if "%1" == "H:" GOTO HARDDRV
	if "%1" == "h:" GOTO HARDDRV
	if "%1" == "I:" GOTO HARDDRV
	if "%1" == "i:" GOTO HARDDRV
	if "%1" == "J:" GOTO HARDDRV
	if "%1" == "j:" GOTO HARDDRV
	if "%1" == "K:" GOTO HARDDRV
	if "%1" == "k:" GOTO HARDDRV
	if "%1" == "L:" GOTO HARDDRV
	if "%1" == "l:" GOTO HARDDRV
	if "%1" == "M:" GOTO HARDDRV
	if "%1" == "m:" GOTO HARDDRV
	if "%1" == "N:" GOTO HARDDRV
	if "%1" == "n:" GOTO HARDDRV
	if "%1" == "O:" GOTO HARDDRV
	if "%1" == "o:" GOTO HARDDRV
	if "%1" == "P:" GOTO HARDDRV
	if "%1" == "p:" GOTO HARDDRV
	if "%1" == "Q:" GOTO HARDDRV
	if "%1" == "q:" GOTO HARDDRV
	if "%1" == "R:" GOTO HARDDRV
	if "%1" == "r:" GOTO HARDDRV
	if "%1" == "S:" GOTO HARDDRV
	if "%1" == "s:" GOTO HARDDRV
	if "%1" == "T:" GOTO HARDDRV
	if "%1" == "t:" GOTO HARDDRV
	if "%1" == "U:" GOTO HARDDRV
	if "%1" == "u:" GOTO HARDDRV
	if "%1" == "V:" GOTO HARDDRV
	if "%1" == "v:" GOTO HARDDRV
	if "%1" == "W:" GOTO HARDDRV
	if "%1" == "w:" GOTO HARDDRV
	if "%1" == "X:" GOTO HARDDRV
	if "%1" == "x:" GOTO HARDDRV
	if "%1" == "Y:" GOTO HARDDRV
	if "%1" == "y:" GOTO HARDDRV
	if "%1" == "Z:" GOTO HARDDRV
	if "%1" == "z:" GOTO HARDDRV

		Echo *********************************************************
		Echo  Ex‚cutez cette commande depuis une ligne de commande
		Echo  DOS et sp‚cifiez la lettre de l'unit‚ de disquette.
		Echo  Exemple : MAKEDISK A:
		Echo *********************************************************
		Echo.
	Pause
	GOTO DONE

:FLOPDRV
	Echo PowerQuest PartitionMagic 6.0
	Echo Copyright 1994-1999, PowerQuest Corporation.
	Echo Tous droits r‚serv‚s.
	Echo.
	Echo Ce programme cr‚e des disquettes amor‡ables PartitionMagic.
	Echo.
	Echo Ce programme doit ˆtre ex‚cut‚ depuis le support
	Echo.d'installation. Il vous faut 2 disquettes vides de 3,5".
	Echo.DŠs que vous acceptez les conditions du contrat de licence,
	Echo.la premiŠre disquette est format‚e et les donn‚es, les
	Echo.utilitaires et les fichiers d'aide de PartitionMagic sont
	Echo.copi‚s. La deuxiŠme disquette est ensuite format‚e et les
	Echo.fichiers programme de PartitionMagic y sont copi‚s.
	Echo.
		SET INSDIR=%1
		SET bFLOP=YES
	GOTO LICENSE

:HARDDRV
		SET INSDIR=%1\PQMAGIC
		SET bFLOP=NO
	Echo PowerQuest PartitionMagic 6.0
	Echo Copyright 1994-1999, PowerQuest Corporation.
	Echo Tous droits r‚serv‚s.
	Echo.
	Echo Ce programme installe PartitionMagic pour DOS sur votre
	Echo disque dur. Il doit ˆtre ex‚cut‚ … partir du support 
	Echo d'installation.
	Echo.
	Echo PartitionMagic pour DOS fonctionne sous tous les systŠmes
	Echo d'exploitation compatibles avec MS-DOS (TM). Si vous
	Echo exploitez OS/2 ou Linux, vous devrez copier PartitionMagic
	Echo sur une disquette et l'utiliser … partir de celle-ci.
	Echo.
	Echo DŠs que vous acceptez les conditions du contrat de
	Echo.licence, l'ex‚cutable principal de PartitionMagic et
	Echo.d'autres fichiers indispensables sont copi‚s dans un
	Echo.r‚pertoire intitul‚ %INSDIR%.

	Echo.
	GOTO LICENSE

REM ---------------------------------------------------------------------
REM CONTRAT DE LICENCE
REM ---------------------------------------------------------------------
:LICENSE

	Echo Appuyez sur une touche pour passer au contrat de licence.
	Echo.
		pause
		cls
	more < license.txt
	Echo.
	Echo.
		pause
		cls
	Echo ******************* CONTRAT DE LICENSE *******************
	Echo.
	Echo OCTROI DE LA LICENCE. Le LOGICIEL et la documentation qui
	Echo l'accompagne vous sont octroy‚s sous licence, ce qui
	Echo.signifie que votre utilisation du LOGICIEL doit respecter
	Echo.les termes et conditions de ce contrat de licence. Le
	Echo.LOGICIEL est r‚put‚ utilis‚ sur un ordinateur lorsqu'il
	Echo.est charg‚ dans la m‚moire temporaire ou install‚ dans la
	Echo.m‚moire permanente de cet ordinateur.
	Echo.
	Echo Pour toute question concernant ce contrat ou si vous
	Echo.voulez contacter PowerQuest Corporation pour quelque
	Echo.raison que ce soit, veuillez ‚crire … : PowerQuest
	Echo.Corporation/PO Box 1911/Orem, UT 84059/U.S.A.
	Echo.
	Echo Pour indiquer que vous acceptez les conditions du contrat
	Echo.de licence du LOGICIEL, tapez OUI et appuyez sur Entr‚e.
	Echo.

		YES Acceptez-vous les conditions de ce contrat de licence
		(OUI/NON)?

	if ERRORLEVEL 1 GOTO FMTDISK
		Echo.
		Echo EN CAS DE DESACCORD AVEC LES TERMES ET CONDITIONS,
		Echo DU CONTRAT DE LICENCE, DETRUISEZ LE CD OU SUPPORT
		Echo D'INSTALTION, AINSI QUE TOUT LE CONTENU DE LA BOITE
		Echo DE PARTITIONMAGIC, OU RENDEZ-LES INTACTS AU MARCHAND
		Echo QUI VOUS A VENDU LE PRODUIT.
		Echo.
		Echo Installation termin‚e.
	pause
	GOTO DONE

:FMTDISK
	cls
	if "%bFLOP%" == "NO" MD %INSDIR%
	if "%bFLOP%" == "NO" GOTO NOFMT1

REM ---------------------------------------------------------------------
REM DISQUETTE 1
REM ---------------------------------------------------------------------

	Echo **************** Formater une disquette ******************
	Echo Au terme du formatage r‚ussi d'une disquette, tapez N en
	Echo r‚ponse … "Formater une autre disquette (O/N) ?"
	Echo.
		format %INSDIR% /u /a /v:PM60Disk1
		cls

	Echo ***************** Copie des fichiers *****************
		copy DISK1\IBMBIO.COM %INSDIR%
		copy DISK1\IBMDOS.COM %INSDIR%
		copy DISK1\COMMAND.COM %INSDIR%
		attrib +r +s +h %INSDIR%\*.* > NUL
		copy DISK1\AUTOEXEC.BAT %INSDIR%
		copy DISK1\AUTOEXE2.BAT %INSDIR%
		copy DISK1\CONFIG.SYS %INSDIR%
		copy DISK1\CHKDSK.EXE %INSDIR%
		copy DISK1\DISPLAY.SYS %INSDIR%
		copy DISK1\EGA.CPI %INSDIR%
		copy DISK1\KEYB.COM %INSDIR%
		copy DISK1\MODE.COM %INSDIR%
		copy DISK1\NWCDEX.EXE %INSDIR%
:NOFMT1
		copy DISK1\PARTINFO.EXE %INSDIR%
		copy DISK1\PTEDIT.EXE %INSDIR%
	if "%bFLOP%" == "NO" GOTO NOFMT2
		cls
			Echo La disquette 1 est termin‚e. Veuillez la retirer de
			Echo l'unit‚ %INSDIR% et l'‚tiqueter "PartitionMagic 6.0
			Echo Disquette 1"
			Echo.
		pause
		cls

REM ---------------------------------------------------------------------
REM DISQUETTE 2
REM ---------------------------------------------------------------------

	Echo **************** Formater une disquette ******************
	Echo Au terme du formatage r‚ussi d'une disquette, tapez N en
	Echo r‚ponse … "Formater une autre disquette (O/N) ?"
	Echo.
		format %INSDIR% /u /a /v:PM60Disk2
		cls

	Echo ******************* Copie des fichiers *******************
		copy DISK2\AUTOEXEC.BAT %INSDIR%
:NOFMT2
		copy DISK2\MOUSE.COM %INSDIR%
		copy DISK2\PMHELP.DAT %INSDIR%
		copy DISK2\PQMagic.exe %INSDIR%
		copy DISK2\PQMagic.ovl %INSDIR%
		copy DISK2\PQMagic.pqg %INSDIR%
		copy DISK2\Rescue.txt %INSDIR%
		copy DISK2\Pqpb.rtc %INSDIR%
		attrib +r +h %INSDIR%\*.rtc > NUL
		cls
	if "%bFLOP%" == "NO" GOTO HDEND
			Echo La disquette 2 est termin‚e. Veuillez la retirer de
			Echo l'unit‚ %INSDIR% et l'‚tiqueter "PartitionMagic 6.0
			Echo Disquette 2"
			Echo.

		pause
		cls

REM ---------------------------------------------------------------------
REM FLOPPY FINALE
REM ---------------------------------------------------------------------
:FLOPEND
	Echo Le jeu de disquettes de PartitionMagic 6.0 est termin‚.
	Echo.
	Echo Pour ex‚cuter PartitionMagic 6.0, ins‚rez la disquette 1
	Echo dans l'unit‚ %INSDIR% (ou l'unit‚ de disquette 3,5").
	Echo AprŠs l'amor‡age, un message vous demandera d'ins‚rer la
	Echo disquette 2 dans l'unit‚ %INSDIR% pour charger
	Echo PartitionMagic.
	Echo.
	Echo PowerQuest vous remercie d'avoir choisi PartitionMagic
	Echo 6.0 !
		pause
		cls
	GOTO DONE
REM ---------------------------------------------------------------------
REM HARD DISK FINALE
REM ---------------------------------------------------------------------
:HDEND
	Echo L'installation de PartitionMagic 6.0 est termin‚e.
	Echo.
	Echo Pour ex‚cuter PartitionMagic 6.0, naviguez jusqu'au
	Echo r‚pertoire %INSDIR% et tapez "pqmagic" … l'invite.
	Echo.
	Echo PowerQuest vous remercie d'avoir choisi PartitionMagic
	Echo 6.0 !
		pause
		cls
	GOTO DONE
	
:DONE
